%define _initddir %_sysconfdir/init.d
%define _vzdir /var/lib/vz
%define _lockdir %{_vzdir}/lock
%define _dumpdir %{_vzdir}/dump
%define _privdir %{_vzdir}/private
%define _rootdir %{_vzdir}/root
%define _templatedir %{_vzdir}/template/
%define _cachedir %{_templatedir}/cache
%define _vzctlvardir /var/lib/vzctl/
%define _veipdir %{_vzctlvardir}/veip
%define _pkglibdir %_libexecdir/vzctl
%define _scriptdir %_pkglibdir/scripts
%define _configdir %_sysconfdir/vz
%define _vpsconfdir %_sysconfdir/sysconfig/vz-scripts
%define _netdir	%_sysconfdir/sysconfig/network-scripts
%define _logrdir %_sysconfdir/logrotate.d
%define _distconfdir %{_configdir}/dists
%define _namesdir %{_configdir}/names
%define _distscriptdir %{_distconfdir}/scripts
%define _udevrulesdir %_sysconfdir/udev/rules.d
%define _bashcdir %_sysconfdir/bash_completion.d


Summary: OpenVZ containers control utility
Name: vzctl
Version: 4.1.1
%define rel 3
Release: %{rel}%{?dist}
License: GPLv2+
Group: System Environment/Kernel
Source: http://download.openvz.org/utils/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
URL: http://openvz.org/

# OpenVZ can run on its own kernel, and if that it is the case, some more
# utilities are needed. They call the core package, that we are installing here,
# "vzctl-core". So we are following their name convention
%package core
Summary: OpenVZ containers control utility core
Group: System Environment/Kernel
Requires: fileutils
Requires: tar
# these reqs are for vz helper scripts
Requires: bash
Requires: gawk
Requires: sed
Requires: grep
# requires for bash_completion and vps-download
Requires: wget

BuildRequires: libcgroup-devel >= 0.38

%description core
OpenVZ containers control utility core package


%description
This utility allows system administrators to control OpenVZ containers:
i.e. create, start, shutdown, set various options and limits etc.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %configure \
	vzdir=%{_vzdir} \
	--enable-bashcomp \
	--enable-logrotate \
	--without-ploop \
	--disable-static
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT vpsconfdir=%{_vpsconfdir} \
	install install-redhat-from-spec
ln -s ../sysconfig/vz-scripts $RPM_BUILD_ROOT/%{_configdir}/conf
ln -s ../vz/vz.conf $RPM_BUILD_ROOT/etc/sysconfig/vz

rm -f $RPM_BUILD_ROOT/%{_libdir}/libvzctl.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libvzctl.so
# Those are binaries that either are not ported to vzctl with Upstream Linux,
# or are not applicable to that case. "make install" will copy them over, so we
# just ignore them.
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzsplit
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzlist
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzmemcheck
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzcpucheck
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vznetcfg
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vznetaddbr
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzcalc
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzpid
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzcfgvalidate
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzifup-post
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzeventd
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzmigrate
rm -f $RPM_BUILD_ROOT/%{_sbindir}/vzubc

rm -f $RPM_BUILD_ROOT/%{_netdir}/ifup-venet
rm -f $RPM_BUILD_ROOT/%{_netdir}/ifdown-venet
rm -f $RPM_BUILD_ROOT/%{_netdir}/ifcfg-venet0

rm -f $RPM_BUILD_ROOT/%{_initddir}/vz
rm -f $RPM_BUILD_ROOT/%{_initddir}/vzeventd

rm -f $RPM_BUILD_ROOT/%{_udevrulesdir}/*

rm -f $RPM_BUILD_ROOT/%{_scriptdir}/vzevent-reboot
rm -f $RPM_BUILD_ROOT/%{_scriptdir}/vzevent-stop
rm -f $RPM_BUILD_ROOT/%{_scriptdir}/initd-functions

rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzeventd.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzubc.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzcalc.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzcfgvalidate.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzcpucheck.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzifup-post.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzlist.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzmemcheck.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzmigrate.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzpid.8
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vzsplit.8
ls $RPM_BUILD_ROOT/%{_mandir}/man8/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files core
%doc COPYING
%dir %{_scriptdir}
%dir %{_pkglibdir}
%dir %{_lockdir}
%dir %{_dumpdir}
%dir %attr(700,root,root) %{_privdir}
%dir %attr(700,root,root) %{_rootdir}
%dir %{_templatedir}
%dir %{_cachedir}
%dir %{_vzctlvardir}
%dir %{_veipdir}
%dir %{_configdir}
%dir %{_namesdir}
%dir %{_vpsconfdir}
%dir %{_distconfdir}
%dir %{_distscriptdir}
%dir %{_vzdir}
%dir %{_sysconfdir}/vz/conf


%{_bashcdir}/*

%{_libdir}/libvzctl-*.so
%{_sbindir}/vzctl
%{_sbindir}/arpsend
%{_sbindir}/ndsend

%{_distscriptdir}/*.sh
%{_distscriptdir}/functions

%{_mandir}/man8/vzctl.8.*
%{_mandir}/man8/arpsend.8.*
%{_mandir}/man8/ndsend.8.*
%{_mandir}/man5/ctid.conf.5.*
%{_mandir}/man5/vz.conf.5.*

%{_scriptdir}/vps-functions
%{_scriptdir}/vps-net_add
%{_scriptdir}/vps-net_del
%{_scriptdir}/vps-netns_dev_add
%{_scriptdir}/vps-netns_dev_del
%{_scriptdir}/vps-create
%{_scriptdir}/vps-download
%{_scriptdir}/vps-pci

%config %{_sysconfdir}/sysconfig/vz
%config(noreplace) %{_configdir}/vz.conf
%config(noreplace) %{_configdir}/osrelease.conf
%config(noreplace) %{_configdir}/download.conf
%config(noreplace) %{_configdir}/oom-groups.conf
%config(noreplace) %{_distconfdir}/*.conf
%config(noreplace) %{_vpsconfdir}/0.conf
%config(noreplace) %{_logrdir}/vzctl
%config %{_distconfdir}/default
%config %{_distconfdir}/distribution.conf-template
%config %{_vpsconfdir}/ve-basic.conf-sample
%config %{_vpsconfdir}/ve-light.conf-sample
%config %{_vpsconfdir}/ve-unlimited.conf-sample
%config %{_vpsconfdir}/ve-vswap-256m.conf-sample
%config %{_vpsconfdir}/ve-vswap-512m.conf-sample
%config %{_vpsconfdir}/ve-vswap-1024m.conf-sample
%config %{_vpsconfdir}/ve-vswap-1g.conf-sample
%config %{_vpsconfdir}/ve-vswap-2g.conf-sample
%config %{_vpsconfdir}/ve-vswap-4g.conf-sample


%changelog
* Tue Dec 11 2012 Glauber Costa <glommer@gmail.com> - 4.1.1-3
- Build on all architectures, fixes #878416. OpenVZ 4.1.1 handles
  that, so we don't need to carry a patch.

* Thu Nov 15 2012 Glauber Costa <glommer@gmail.com> - 4.1-2
- Corrected license: GPLv2 -> GPLv2+, which is what the sources actually claim
- Fixed ownership problems with directories _vzdir/template/ and /var/lib/vzctl/

* Fri Nov 2 2012 Glauber Costa <glommer@gmail.com> - 4.1-1
- Updated to vzctl 4.1
- Changed hardcoded /vz path to /var/lib/vz

* Wed Oct 17 2012 Glauber Costa <glommer@gmail.com> - 4.0-2
- removed unnecessary _attr entries from _files
- removed _exclude entries from _files, moved it to install
- removed BUILD_ROOT cleaning in _install
- removed libxml2 dependency

* Sun Oct 15 2012 Glauber Costa <glommer@gmail.com> - 4.0-1
- Packaged for Fedora, trying to reuse as much information as possible from
  upstream package.
